@charset "UTF-8";

::selection {
    background: #bcc4c7;
}

article, aside, details, figcaption, figure, footer, header, hgroup, main, nav, section, summary {
    display: block
}

audio, canvas, video {
    display: inline-block
}

    audio:not([controls]) {
        display: none;
        height: 0
    }

[hidden], template {
    display: none
}

html {
    font-family: sans-serif;
    -ms-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%
}

body {
    margin: 0;
}

a {
    background: transparent;
    text-decoration: none
}

    a:focus {
        outline: thin dotted
    }

    a:active, a:hover {
        outline: 0
    }

h1 {
    font-size: 2em;
    margin: .67em 0
}

abbr[title] {
    border-bottom: 1px dotted
}

b, strong {
    font-weight: 700
}

dfn {
    font-style: italic
}

hr {
    -moz-box-sizing: content-box;
    box-sizing: content-box;
    height: 0
}

mark {
    background: #ff0;
    color: #000
}

code, kbd, pre, samp {
    font-family: monospace,serif;
    font-size: 1em
}

pre {
    white-space: pre-wrap
}

q {
    quotes: "\201C" "\201D" "\2018" "\2019"
}

small {
    font-size: 80%
}


sub, sup {
    font-size: 75%;
    line-height: 0;
    position: relative;
    vertical-align: baseline
}

sup {
    top: -.5em
}

sub {
    bottom: -.25em
}

img {
    border: 0
}

svg:not(:root) {
    overflow: hidden
}

figure {
    margin: 0
}

fieldset {
    border: 1px solid silver;
    margin: 0 2px;
    padding: .35em .625em .75em
}

legend {
    border: 0;
    padding: 0
}

button, input, select, textarea {
    font-family: inherit;
    font-size: 100%;
    margin: 0
}

button, input {
    line-height: normal
}

button, select {
    text-transform: none
}

button, html input[type=button], input[type=reset], input[type=submit] {
    -webkit-appearance: button;
    cursor: pointer
}

    button[disabled], html input[disabled] {
        cursor: default
    }

input[type=checkbox], input[type=radio] {
    box-sizing: border-box;
    padding: 0
}

input[type=search] {
    -webkit-appearance: textfield;
    -moz-box-sizing: content-box;
    -webkit-box-sizing: content-box;
    box-sizing: content-box
}

    input[type=search]::-webkit-search-cancel-button, input[type=search]::-webkit-search-decoration {
        -webkit-appearance: none
    }

button::-moz-focus-inner, input::-moz-focus-inner {
    border: 0;
    padding: 0
}

textarea {
    overflow: auto;
    vertical-align: top
}

table {
    border-collapse: collapse;
    border-spacing: 0
}

img::selection {
    background: transparent
}

img::-moz-selection {
    background: transparent
}


html, body {
    height: 100%;
    width: 100%;
    min-height: 100%;
    margin: 0;
    padding: 0
}

html {
    max-height: 100%;
    font-size: 62.5%;
    -webkit-font-smoothing: antialiased;
    -webkit-tap-highlight-color: transparent
}

body {
    font-family: 'Helvetica Neue', 'Microsoft Yahei', 'Hiragino Sans GB', 'Microsoft Sans Serif', 'WenQuanYi Micro Hei', sans-serif,"Helvetica Neue",Tohoma;
    font-size: 1.4rem;
    line-height: 1.6em;
    color: #3A4145;
    min-width: 320px

}

h1, h2, h3, h4, h5, h6 {
    margin: 0;
    padding: 0
}

h6 {
    font-size: 1.4rem
}

h5 {
    font-size: 1.6rem
}

h4 {
    font-size: 1.8rem
}

h3 {
    font-size: 2.2rem;
    line-height: 2.6rem
}

h2 {
    font-size: 2.8rem;
    line-height: 4.6rem;
    margin-bottom: .5rem
}

h1 {
    font-size: 3.2rem;
    line-height: 3.8rem;
    margin-bottom: .5rem
}


#header {
    width: 100%;
    position: relative;
    left: 0;
    top: 0;
    z-index: 2;
}

#navigator {
    background-color: rgba(0,0,0,.5);
    height: 50px;
    overflow:hidden;
    width: 100%;
    border: none;
    clear: both;
    position: relative;
}

    #navigator ul {
        width: 70%;
        max-width: 1200px;
        margin: 0 auto;
        height: 50px;
        padding: 0
    }

#navList li {
    list-style-type: none;
    display: inline-block;
    float: left;
    margin-right: 30px ;
    line-height: 50px;
}

    #navList li a {
        opacity: 1;
        display: inline-block;
        color: #fff;
        padding: 0 20px;
        font-size: 20px;
        font-weight: bold;
    }

    #navList a:link {
        color: #fff;
    }


#navList a:hover {
    text-decoration: none;
    /*background: rgba(255,255,255,.3);*/
    background: rgba( 22,159,230,.6);
    /*background-color: #fff;*/
    /*color: #169fe6*/
}
 
.blogStats {
    display: none
}

/*增加前面板太丑*/
#blogTitle {
    display:none;
}


.banner {
    position: relative;
    width: 100%;
    height: 32rem;
    background: transparent;
    background-size: cover;
    box-shadow: 0 1px 1px #efefef;
    z-index: 1
}

.banner-mask {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background: #fff;
    background-image: linear-gradient(to bottom,#fff,#ededed);
    background-repeat: repeat-x;
    opacity: .6;
    z-index: -2
}

#Header1_HeaderTitle {
    color: rgba(17,17,17,.8);
    font-size: 4.4rem;
    font-weight: 900;
    line-height: 3.4rem;
    display: block;
    text-align: center
}


    #Header1_HeaderTitle:hover {
        color: rgba(17,17,17,.5);
        text-shadow: 0 1px 3px #fff
    }

.home-blog-title {
    color: rgba(17,17,17,.8);
    font-size: 4.4rem;
    font-weight: 900;
    line-height: 3.4rem;
    display: block;
    text-align: center
}

    .home-blog-title:hover {
        color: rgba(17,17,17,.5);
        text-shadow: 0 1px 3px #fff
    }


/*#blogTitle {
    height: 279px;
    clear: both;
    width: 1460px;
    clear: both;
    margin: 0 auto;
    position: relative;
    background-image: url('../img/FishAndSea279.jpg');
    background-repeat: no-repeat;
    background-position: center top;
    background-size: contain;
    user-select: none;
}

    #blogTitle h1 {
        font-size: 38px;
        width: 100%;
        height: 100px;
        line-height: 100px;
        user-select: none;
        text-align: center;
        position: relative;
        top: 46px;
        left: -40px;
        font-weight: bold;
    }

    #blogTitle h2 {
        width: 600px;
        position: relative;
        height: 75px;
        line-height: 75px;
        color: #ffffff;
        user-select: none;
        font-weight: normal;
        top: 64px;
        left: 480px;
        font-size: 22px;
        font-weight: bold;
        cursor: default;
    }

    #blogTitle h1 a {
        color: #fff
    }

#blogLogo {
    float: right
}*/



.fixed-body-background {
    background-image: url('https://images.cnblogs.com/cnblogs_com/qixinbo/1012642/o_short.jpg');
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-size: cover;
    background-repeat: no-repeat;
    z-index: -2
}

#main {
    width: 80%;
    margin: 30px auto;
    clear: both
}

#mainContent {
    background: none;
    float: left;
    overflow: visible;
    text-overflow: ellipsis;
    width: 72%;
    word-break: break-all
}

    #mainContent .forFlow {
        float: none;
        margin: 0  ;
        width: 100%
    }

.day {
    background: rgba(240,238,245,0.8);
    /*background: rgba(255,255,255,.8);*/
    position: relative;
    /*margin: 5rem auto;*/
    padding: 10px;
    margin-bottom: 40px;
    font-size: 1.8rem;
    line-height: 3.2rem;
    /*box-shadow: 0 0 20px 2px #ccc;*/
    box-shadow: 0 0 10px 2px rgba(240,238,245,0.6);
}

.day .postTitle {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis
}


.postTitle {
    width: 100%;
    line-height: 3.2rem;
    padding-top: 0.3rem;
    text-align: center;
    font-family: 'Helvetica Neue', 'Microsoft Yahei', 'Hiragino Sans GB', 'Microsoft Sans Serif', 'WenQuanYi Micro Hei', sans-serif;
    margin-bottom:10px;
}

.postTitle a {
    color: rgba(0,0,0,.7);
    font-weight: 600;
    line-height: 2.4rem;
    font-size: 2.3rem;
    letter-spacing: .1rem;
}

.c_b_p_desc {
    padding: 1rem 2rem 1rem;
    text-align: justify;
    font-size: 1.8rem;
    line-height: 2.6rem;
    word-break: break-all;
    word-break: break-word;
    margin-bottom:25px;
}

.dayTitle {
    float: right;
    position: absolute;
    /*top:75%;*/
    bottom:10px;
    left: 80%;
    padding: 0 2rem;
    display: block;
    height: 2.6rem;
    line-height: 2.4rem;
    width: 20%;
    text-decoration: none;
    font-size: 1.8rem;
}
    .dayTitle a {
        color: #fff;
        padding: .2rem .5rem;
        background: rgba(0,0,0,.4);
        font-size: 1.4rem;
        /*line-height: 2.4rem;
        padding-top: 0.3rem;
        color: rgba(0,0,0,.7);*/
    }
        .dayTitle a:hover {
            color: #efefef;
            background: rgba(0,0,0,.2)
        }

@media (max-width: 1100px) {
    .dayTitle {
        display:none;
    }
}

#post_detail {
    background: rgba(240,238,245,0.9);
    width: 90%;
    /*background: rgba(241,239,236,0.8);*/
    padding: 20px 50px;
    margin: 0 auto;
}

#cnblogs_post_body {
    font-size: 1.6rem;
    line-height: 2.5rem;
}

    #cnblogs_post_body h3 {
        font-size: 2rem!important;
        line-height: 2.5rem!important;
        font-weight: bold!important;
        margin: 10px 0;
    }

    #cnblogs_post_body h4 {
        font-size: 1.6rem !important;
        line-height: 2.5rem !important;
        font-weight: bold !important;
        margin: 10px 0;
    }

.blog_post_info_block {
    font-family: 'Microsoft Yahei' !important;
    font-size: 1.4rem !important;
    line-height: 2rem !important;
}

#author_profile {
    font-family: 'Microsoft Yahei' !important;
    font-size: 1.4rem !important;
    line-height: 2rem !important;
}
.author_profile_info {
    font-family: 'Microsoft Yahei' !important;
    font-size: 1.4rem !important;
    line-height: 2rem !important;
}
#post_next_prev {
    font-family: 'Microsoft Yahei' !important;
    font-size: 1.4rem !important;
    line-height: 2rem !important;
}

.postDesc {
    margin-top:10px;
}

/*通用里面已经有pre的设置了*/
.cnblogs_code pre {
    padding: 10px;
    white-space: pre-wrap;
    font-family: sans-serif !important;
    font-size: 14px !important;
}

.cnblogs_code span {
    font-family: sans-serif !important;
    font-size: 14px !important;
}

pre {
    overflow: auto;
}

.cnblogs_code {
    /* background-color: rgba(152, 147, 147, 0.28); */
    /* border: 1px solid rgba(255, 251, 251, 0); */
    border-radius: 4px;
    color: #000;
    margin: 5px 0;
    overflow: auto;
    padding: 0;
}
    .cnblogs_code div {
        display: none;
    }

.cnblogs_code_toolbar a:hover, .cnblogs_code_toolbar a:link, .cnblogs_code_toolbar a:visited, .cnblogs_code_toolbar a:active, .cnblogs_code_toolbar a:link img, .cnblogs_code_toolbar a:visited img {
    background-color: #e2e1e1 !important;
    border: medium none !important;
}


.cnblogs_code_toolbar {
    display: none;
}

.c_b_p_desc_readmore {
    display: none;
}


.pager {
    font-family: 'Microsoft Yahei' !important;
    font-size: 1.8rem !important;
    line-height: 2rem !important;
    color: #fff;
    user-select: none;
    text-shadow: 3px 3px 40px #fff;
    font-weight: 700;

}
    .pager a {
        display: inline-block;
        padding:  6px;
 
        background: rgba(240,238,245,1);
        border: 1px solid #F0EEF5;
        font-family: 'Microsoft Yahei' !important;
        font-size: 1.6rem !important;
        line-height: 2rem !important;
        color: rgba(0,0,0,.9);
        font-weight: 500;
    }
        .pager a:hover {
            background: #1B9AF7;
            color:#fff;
            border: 1px solid #F0EEF5;
        }

#nav_next_page a {
    font-family: 'Microsoft Yahei' !important;
    font-size: 1.8rem !important;
    line-height: 2rem !important;
    color: rgba(0,0,0,.7);
    user-select: none;
    text-shadow: 3px 3px 40px #fff;
    font-weight: 700;
}





.shake-chunk {
    display: inline-block;
    transform-origin: center center
}

.shake-chunk:hover .shake-chunk {
    animation-play-state: running
}

@keyframes shake-chunk {
    2% {
        transform: translate(0px, -8px) rotate(8deg)
    }

    4% {
        transform: translate(1px, 5px) rotate(-12deg)
    }

    6% {
        transform: translate(5px, 5px) rotate(7deg)
    }

    8% {
        transform: translate(6px, -5px) rotate(0deg)
    }

    10% {
        transform: translate(4px, -6px) rotate(-13deg)
    }

    12% {
        transform: translate(5px, -7px) rotate(10deg)
    }

    14% {
        transform: translate(-4px, 2px) rotate(0deg)
    }

    16% {
        transform: translate(-4px, -3px) rotate(-10deg)
    }

    18% {
        transform: translate(-1px, -5px) rotate(10deg)
    }

    20% {
        transform: translate(-4px, 6px) rotate(0deg)
    }

    22% {
        transform: translate(-1px, -1px) rotate(-10deg)
    }

    24% {
        transform: translate(7px, -5px) rotate(10deg)
    }

    26% {
        transform: translate(-5px, -4px) rotate(0deg)
    }

    28% {
        transform: translate(3px, -8px) rotate(-10deg)
    }

    30% {
        transform: translate(-4px, 4px) rotate(10deg)
    }

    32% {
        transform: translate(3px, 3px) rotate(0deg)
    }

    34% {
        transform: translate(-4px, -6px) rotate(-10deg)
    }

    36% {
        transform: translate(5px, -4px) rotate(10deg)
    }

    38% {
        transform: translate(-4px, 3px) rotate(0deg)
    }

    0%,40%,100% {
        transform: translate(0, 0) rotate(0)
    }
}

.shake-chunk {
    animation-name: shake-chunk;
    animation-duration: 4s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite
}

#sideBar {
    width: 20%;
    margin-left: 8%;
    float: left;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    overflow: visible;
    word-break: break-all
}

#sideBarMain {
    font-size: 1.5rem;
}
    #sideBarMain a {
        color: #3A4145;
        font-weight:500;
    }

    #sideBarMain a:hover {
        font-weight: 700;
    }

    #sideBarMain ul {
        
        padding: 0;
    }

   
    #sideBarMain li {
        list-style-type: none;
       
    }

.newsItem h3 {
    display:none;
}
#sidebar_toptags li, #sidebar_postcategory li {
    margin: 10px 0;
    padding:3px 2px;
    background: rgba(240,238,245,0.8);
    border-radius: 5px;
    text-align: center;
    width: 80%;
    user-select:none!important;
}
#sidebar_toptags a, #sidebar_postcategory a {
    letter-spacing: 0.5px;
    font-size: 1.6rem;
   
}
    #sidebar_toptags a:hover, #sidebar_postcategory a:hover {
        font-weight: 500;
    }

#sidebar_toptags li:hover, #sidebar_postcategory li:hover {
    /*background-color: #FFF;*/
    color: rgba(17,17,17,.5);
    text-shadow: 1px 1px 3px #3d3d3d;
    box-shadow: 0 0 10px 2px #FFF;
}


#widget_my_zzk input[type="text"] {
    border: 1.5px solid #fff;
    height: 2.6rem;
    margin-right:5px;
}

#btnZzk {
    color: #3A4145;
    background-color: rgba(240,238,245,1);
    font-size: 1.5rem;
    font-weight: 500;
    border: 2px solid #F0EEF5;
    width: 6rem;
    height: 3rem;
    border-radius: 5px;
}
    #btnZzk:hover {
        background-color: #1B9AF7;
        color: #FFF;
 
    }

    #btnZzk:active {
        background-color: #dbdbdb;
        border: 2px solid #dbdbdb;
    }

#blog-news {
    overflow: visible;
    margin-bottom: 20px
}
#sidebar_topdiggedposts, #sidebar_shortcut {
    display: none;
}

#myImgIconDiv {
    width: 80px;
    height: 80px;
    overflow: hidden;
    margin: 0 0 10px 0
}

    #myImgIconDiv img {
        cursor: pointer;
        transition: all 0.6s;
    }

        #myImgIconDiv img:hover {
            transform: scale(1.3);
        }



.entrylistItem {
    background: rgba(240,238,245,0.8);
    /*background: rgba(255,255,255,.8);*/
    position: relative;
    /*margin: 5rem auto;*/
    padding: 10px;
    margin-bottom: 40px;
    font-size: 1.8rem;
    line-height: 3.2rem;
    box-shadow: 0 0 10px 2px rgba(240,238,245,0.6);
}

.entrylistTitle {
    width: 100%;
    text-align: left;
    font-family: 'Helvetica Neue', 'Microsoft Yahei', 'Hiragino Sans GB', 'Microsoft Sans Serif', 'WenQuanYi Micro Hei', sans-serif;
    margin-bottom: 30px;
    /*color: rgba(0,0,0,.7);*/
    color:#fff;
    font-weight: 600;
    line-height: 2.4rem;
    font-size: 2.3rem;
    letter-spacing: .1rem;
}

.entrylistPosttitle {
    width: 100%;
    line-height: 3.2rem;
    padding-top: 0.3rem;
    text-align: center;
    font-family: 'Helvetica Neue', 'Microsoft Yahei', 'Hiragino Sans GB', 'Microsoft Sans Serif', 'WenQuanYi Micro Hei', sans-serif;
    margin-bottom: 10px;
}

    .entrylistPosttitle a {
        color: rgba(0,0,0,.7);
        font-weight: 600;
        line-height: 2.4rem;
        font-size: 2.3rem;
        letter-spacing: .1rem;
    }

.entrylistItemPostDesc {
    display: none;
}

.PostList {
    background: rgba(240,238,245,0.8);
    /*background: rgba(255,255,255,.8);*/
    position: relative;
    /*margin: 5rem auto;*/
    margin-bottom: 20px;
    font-size: 1.8rem;
    line-height: 3.2rem;
    box-shadow: 0 0 10px 2px rgba(240,238,245,0.6);
}

.myposts_title {
    width: 100%;
    text-align: left;
    font-family: 'Helvetica Neue', 'Microsoft Yahei', 'Hiragino Sans GB', 'Microsoft Sans Serif', 'WenQuanYi Micro Hei', sans-serif;
    /*color: rgba(0,0,0,.7);*/
    color: #fff;
    font-weight: 600;
    line-height: 2.4rem;
    font-size: 2.3rem!important;
    letter-spacing: .1rem;
}
.postTitl2 a {
    line-height: 3.2rem;
    padding-top: 0.3rem;
    text-align: center;
    font-family:  'Microsoft Yahei'!important;
    font-size: 1.8rem;
    margin-bottom: 10px;
    color: rgba(0,0,0,.7);
    font-weight:500;
}

.dot-top {
    font-size: 0;
    line-height: 0;
    border-width: 10px;
    border-color: #fff;
    border-top-width: 0;
    border-style: dashed;
    border-bottom-style: solid;
    border-left-color: transparent;
    border-right-color: transparent;
    display: inline-block;
}

.box {
    position: fixed;
    font-size: 18px;
    font-family: 'Microsoft YaHei';
    cursor: pointer;
    user-select: none;
    width: 100px;
    top:70px;
    left:20px;
}

    .box span {
        margin-bottom: 5px;
        font-weight: bold;
    }

#box a {
    margin: 5px;
    padding:0px 10px 0px 10px;
    width: auto;
    word-break: keep-all;
    white-space: nowrap;
    display: none;
    line-height: 32px;
    color: #fff ;
    font-size: 16px;
    background-color: rgba(0,0,0,.5);
}

.Active {
    color: #fff !important;
    background-color: #169FE6!important;
}

#box a:hover {
    background-color: #0b6bf9;
}

#boxSideA {
    background-color: rgba(0,0,0,.5);
    /*background-color: #169FE6;*/
    width: 100px;
    display: inline-block;
    text-align: center;
    color: #fff;
    padding: 5px 5px 5px 5px;
    border-radius: 5px;
    user-select: none;
}
#taglist table td  {
    padding: 10px 10px;
    background: rgba(240,238,245,0.8);
    text-align: center;
}

    #taglist table td a {
        color: #3A4145 !important;
        font-size: 1.8rem;
    }

        #taglist table td a:hover {
            text-shadow: 1px 1px 3px #3d3d3d;
        }